com.versionone.apiclient.filters

## Enum FilterTerm.Operator

- java.lang.Object
- - java.lang.Enum<FilterTerm.Operator>
  - - com.versionone.apiclient.filters.FilterTerm.Operator

- All Implemented Interfaces:
    Serializable, Comparable<FilterTerm.Operator>
  Enclosing class:
    FilterTerm

      public static enum FilterTerm.Operator
      extends Enum<FilterTerm.Operator>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Equal`
    `Exists`
    `GreaterThan`
    `GreaterThanOrEqual`
    `LessThan`
    `LessThanOrEqual`
    `None`
    `NotEqual`
    `NotExists`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FilterTerm.Operator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FilterTerm.Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final FilterTerm.Operator None

    - #### Equal

          public static final FilterTerm.Operator Equal

    - #### NotEqual

          public static final FilterTerm.Operator NotEqual

    - #### GreaterThan

          public static final FilterTerm.Operator GreaterThan

    - #### LessThan

          public static final FilterTerm.Operator LessThan

    - #### GreaterThanOrEqual

          public static final FilterTerm.Operator GreaterThanOrEqual

    - #### LessThanOrEqual

          public static final FilterTerm.Operator LessThanOrEqual

    - #### Exists

          public static final FilterTerm.Operator Exists

    - #### NotExists

          public static final FilterTerm.Operator NotExists

  - ### Method Detail

    - #### values

          public static FilterTerm.Operator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FilterTerm.Operator c : FilterTerm.Operator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FilterTerm.Operator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 VersionOne, Inc.. All rights reserved.